# coding: utf-8

"""
    Form Service API

    A list of form and Xaas APIs.  This page describes the RESTful APIs for Form Service. The APIs facilitate CRUD operations on the various resources and entities used throughout Form service (Custom Resource , Form Definition etc.) and allow operations on them (creating custom resource type , fetch form status etc.).  Some of the APIs that list collections of resources also support OData like implementation. Below query params can be used across Form and XaaS entities.  Example:  1. `$orderby` - returns a result with the rows being sorted by the values of provided attribute.      ```/form-service/api/custom/resource-types?$orderby=name%20DESC```  2. `page`, `size` - page used in conjunction with `size` helps in pagination of resources.      ```/form-service/api/custom/resource-types?page=0&size=20```   # noqa: E501

    OpenAPI spec version: 1.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class FormserviceapiformsrendererexternalvalidationExternalValidations(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'label': 'str',
        'source': 'FormserviceapiformsrendererexternalvalidationSource',
        'target': 'list[str]'
    }

    attribute_map = {
        'label': 'label',
        'source': 'source',
        'target': 'target'
    }

    def __init__(self, label=None, source=None, target=None):  # noqa: E501
        """FormserviceapiformsrendererexternalvalidationExternalValidations - a model defined in Swagger"""  # noqa: E501
        self._label = None
        self._source = None
        self._target = None
        self.discriminator = None
        if label is not None:
            self.label = label
        if source is not None:
            self.source = source
        if target is not None:
            self.target = target

    @property
    def label(self):
        """Gets the label of this FormserviceapiformsrendererexternalvalidationExternalValidations.  # noqa: E501


        :return: The label of this FormserviceapiformsrendererexternalvalidationExternalValidations.  # noqa: E501
        :rtype: str
        """
        return self._label

    @label.setter
    def label(self, label):
        """Sets the label of this FormserviceapiformsrendererexternalvalidationExternalValidations.


        :param label: The label of this FormserviceapiformsrendererexternalvalidationExternalValidations.  # noqa: E501
        :type: str
        """

        self._label = label

    @property
    def source(self):
        """Gets the source of this FormserviceapiformsrendererexternalvalidationExternalValidations.  # noqa: E501


        :return: The source of this FormserviceapiformsrendererexternalvalidationExternalValidations.  # noqa: E501
        :rtype: FormserviceapiformsrendererexternalvalidationSource
        """
        return self._source

    @source.setter
    def source(self, source):
        """Sets the source of this FormserviceapiformsrendererexternalvalidationExternalValidations.


        :param source: The source of this FormserviceapiformsrendererexternalvalidationExternalValidations.  # noqa: E501
        :type: FormserviceapiformsrendererexternalvalidationSource
        """

        self._source = source

    @property
    def target(self):
        """Gets the target of this FormserviceapiformsrendererexternalvalidationExternalValidations.  # noqa: E501


        :return: The target of this FormserviceapiformsrendererexternalvalidationExternalValidations.  # noqa: E501
        :rtype: list[str]
        """
        return self._target

    @target.setter
    def target(self, target):
        """Sets the target of this FormserviceapiformsrendererexternalvalidationExternalValidations.


        :param target: The target of this FormserviceapiformsrendererexternalvalidationExternalValidations.  # noqa: E501
        :type: list[str]
        """

        self._target = target

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(FormserviceapiformsrendererexternalvalidationExternalValidations, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, FormserviceapiformsrendererexternalvalidationExternalValidations):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
